GWT 2.7.0

## com.google.gwt.resources.gss
Class PermutationsCollector

    java.lang.Object
      com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
          com.google.gwt.resources.gss.PermutationsCollector

All Implemented Interfaces:
  com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor

    public class PermutationsCollector

extends com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

Visitor that collects the different permutation axis defined in a gss file.

Constructor Summary
`PermutationsCollector(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController delegate, com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)`

Method Summary
`boolean` | `enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)`
`java.util.List<java.lang.String>` | `getPermutationAxes()`
`void` | `runPass()`

Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

`enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalBlock, enterDeclaration, enterDeclarationBlock, enterDefinition, enterFontFace, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermutationsCollector

    public PermutationsCollector(com.google.gwt.thirdparty.common.css.compiler.ast.MutatingVisitController delegate,
                                 com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)

Method Detail

### enterConditionalRule

    public boolean enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)

  Specified by:
    `enterConditionalRule` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
  Overrides:
    `enterConditionalRule` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

### getPermutationAxes

    public java.util.List<java.lang.String> getPermutationAxes()

### runPass

    public void runPass()

  Specified by:
    `runPass` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass`

GWT 2.7.0